# Interface IOFunction<T,R>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IOFunction<T,R>
Function-like interface that allows an IOException to be thrown.

See Also:
  - `Function`

## Method Summary

Modifier and Type
Method
Description
`R`
`apply(T t)`
Applies this function to the given argument.

## Method Details

### apply

R apply(T t) throws IOException
Applies this function to the given argument.

Parameters:
  `t` - the function argument
Returns:
  the function result
Throws:
  `IOException` - in case of error